Subject: Re: [bug#28699] [PATCH] pull: Add GUIX_PULL_URL environment variable.

From: Oleg Pykhalov <[email-masked]>
Date: Fri, 06 Oct 2017 06:39:56 +0300

Hello Ludovic,

thanks for review!

[email-masked] (Ludovic Courtès) writes:

> Oleg Pykhalov <[email-masked]> skribis:
>
>> From 2638c08eef0e8c173111ced6bbc95167f6130fd7 Mon Sep 17 00:00:00 2001
>> From: Oleg Pykhalov <[email-masked]>
>> Date: Wed, 4 Oct 2017 12:01:41 +0300
>> Subject: [PATCH] pull: Add GUIX_PULL_URL environment variable.
>>
>> * guix/scripts/pull.scm (%repository-url): Add GUIX_PULL_URL environment
>>   variable.
>> * doc/guix.texi (Invoking guix pull): Mention GUIX_PULL_URL.
>
> I’m not entirely convinced, especially with a look on “channels”, which
> would provide a way to persistently register repo URLs.

Interesting.  I didn't know about channels before you mention.

> OTOH, I see that it can be convenient in the short-term for someone
> using a repo other than the default one.
>
> Thoughts?

So, as we don't have channels yet, then I think it's a useful patch.
Because I cannot use 'guix pull --url=URL' when I use 'M-x guix pull' in
GNU Emacs.